function(myx_cmake_generate_private_config_header)
  include(MyxCMakeLargeFiles)
  myx_cmake_test_large_files(HAVE_LARGEFILES)

  set(output_file ${CMAKE_BINARY_DIR}/include/myx_cmake_private_config.hpp)
  if(MYX_CMAKE_GENERATED_HEADERS_PATH)
    set(output_file ${MYX_CMAKE_GENERATED_HEADERS_PATH}/myx_cmake_private_config.hpp)
  elseif(ARGV0)
    set(output_file ${ARGV0})
  endif()

  get_property(PROJECT_VERSION_INT GLOBAL PROPERTY PROJECT_VERSION_INT)
  configure_file(${MYX_CMAKE_FUNCTIONS_DIR}/hpp/myx_cmake_private_config.hpp.in ${output_file})
endfunction()
